import type { Sizes } from '../ScrollArea.types';
export declare function linearScale(input: readonly [number, number], output: readonly [number, number]): (value: number) => number;
export declare function getThumbRatio(viewportSize: number, contentSize: number): number;
export declare function getThumbSize(sizes: Sizes): number;
export declare function getThumbOffsetFromScroll(scrollPos: number, sizes: Sizes, dir?: 'rtl' | 'ltr'): number;
export declare function getScrollPositionFromPointer(pointerPos: number, pointerOffset: number, sizes: Sizes, dir?: 'ltr' | 'rtl'): number;
export declare function isScrollingWithinScrollbarBounds(scrollPos: number, maxScrollPos: number): boolean;
export declare function toInt(value?: string): number;
export declare function addUnlinkedScrollListener(node: HTMLElement, handler?: () => void): () => void;
